VERSION 5.00
Begin VB.Form frmMSBE 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Master SPI Bus Engine Test Application"
   ClientHeight    =   1980
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   5175
   Icon            =   "MSBE test application.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1980
   ScaleWidth      =   5175
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton btnTest 
      Caption         =   "Test"
      Height          =   720
      Left            =   1717
      TabIndex        =   0
      Top             =   630
      Width           =   1740
   End
End
Attribute VB_Name = "frmMSBE"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub btnTest_Click()

    On Error GoTo ErrorHandler
    
    ' Declare an object variable reference to the serial port class
    Dim SerialPort As clsSerialPort_v100
    
    ' Create instance of object
    Set SerialPort = New clsSerialPort_v100
    
    
    
    
    ' Declare an object variable reference to the Master SPI Bus Engine class
    Dim SPI_Engine As clsMaster_SPI_Bus_Engine_v100
    
    ' Create instance of object
    Set SPI_Engine = New clsMaster_SPI_Bus_Engine_v100
    
    
    
    ' Declare an object variable reference to the MAX7219 LED display driver class
    Dim MAX7219 As clsMAX7219_v100
    
    ' Create instance of object
    Set MAX7219 = New clsMAX7219_v100
    
    
    
    
    
    
    ' Easy way to open serial port
    Call SerialPort.CommunicationPort_OpenByPortNumber(2)
    
    
    ' Alternate method for opening serial port:
'    SerialPort.CommunicationPortNumber = 2
'    Call SerialPort.CommunicationPort_OpenExistingPort
    
    
    
    ' Use the 'I2C_SMBus' object to invoke the
    ' Master I2C/SMBus binary command set for the low-level I2C/SMBus methods:
    
    
    ' Just some examples of the native Master SPI Bus Engine binary command set functions
'    Call SPI_Engine.SoftwareReset
'    Call SPI_Engine.ChipSelect_Assert_CS_1
'    Call SPI_Engine.SendMasterUserByteAndReceiveSlaveByte(3)
'    Call SPI_Engine.SendMasterDummyByteAndReceiveSlaveByte(0)
'    Call SPI_Engine.SendMasterDummyByteAndReceiveSlaveByte(0)
'
'    MsgBox SPI_Engine.SendMasterDummyByteAndReceiveSlaveByte
'
'
'    Call SPI_Engine.ChipSelect_UnassertAll
    
    
    
    ' Using the MAX7219 device driver
    MAX7219.ChipSelectNumber = 1
    
    Call MAX7219.ShutdownMode_Enter
    
    Call MAX7219.SetDecodeMode(CODE_B_DECODE_FOR_DIGITS_7_THROUGH_0)
    Call MAX7219.SetDigitScanLimit(DISPLAY_DIGITS_0_1_ONLY)
    Call MAX7219.SetIntensity_X(DUTY_CYCLE_31_32_MAXIMUM)
    
    Call MAX7219.SetDigit_1(6)
    Call MAX7219.SetDigit_0(5)
    Call MAX7219.ShutdownMode_Exit
    
    
    
    
    
    
    ' Close the active serial port
    Call SerialPort.CommunicationPort_Close
    
    
    ' Clear object variable references
    Set SerialPort = Nothing
    Set SPI_Engine = Nothing
    Set MAX7219 = Nothing
    
    Exit Sub
    

ErrorHandler:

    ' Do your error processing here
    '
    '
    
    
    ' Just as an example, show the error info to user
    MsgBox "An error/exception has occurred." & vbCrLf & vbCrLf & _
           "Error number: " & Hex$(Err.Number) & vbCrLf & _
           "Error description: " & Err.Description & vbCrLf & _
           "Error source: " & Err.Source
    
    
End Sub

Private Sub Form_Load()
    
    On Error GoTo ErrorHandler
    
    
    MsgBox "Don't forget that you must set a reference to MSBE.dll in Visual Basic." & vbCrLf & _
           "(Under the PROJECT menu, then select 'References...', then browse to where the MSBE.dll file is located.", vbInformation, "Just a friendly reminder..."

    Exit Sub

ErrorHandler:

    ' Do your error processing here
    '
    '
    
    
    ' Just as an example, show the error info to user
    MsgBox "An error/exception has occurred." & vbCrLf & vbCrLf & _
           "Error number: " & Hex$(Err.Number) & vbCrLf & _
           "Error description: " & Err.Description & vbCrLf & _
           "Error source: " & Err.Source
    
End Sub
